exercise_05_09: exercise_05_09.o | .gitignore
	g++ $^ -o $@ 
exercise_05_09.ii: exercise_05_09.cpp
	g++ -E $^ -o $@
exercise_05_09.s: exercise_05_09.ii
	g++ -S $^ -o $@
exercise_05_09.o: exercise_05_09.s
	g++ -c $^ -o $@
.gitignore:
	echo "exercise_05_09" > $@
clean:
	rm *.ii *.s *.o exercise_05_09 .gitignore
test1: exercise_05_09 
	./exercise_05_09 < test1.in > test1.out
	diff test1.out test1.expected > /dev/null 2>&1 && echo PASSED || echo FAILED

.PRECIOUS: exercise_05_09.ii exercise_05_09.s
.SECONDARY: exercise_05_09.ii exercise_05_09.s

dbg: debug/exercise_05_09 
debug/exercise_05_09: debug/exercise_05_09.o | .gitignore
	g++ -Wall -Wextra -Werror -g3 $^ -o $@
debug/exercise_05_09.o: debug/exercise_05_09.s
	g++ -c -Wall -Wextra -Werror -g3 $^ -o $@
debug/exercise_05_09.s: debug/exercise_05_09.ii
	g++ -S -Wall -Wextra -Werror -g3 $^ -o $@
debug/exercise_05_09.ii: exercise_05_09.cpp
	g++ -E -Wall -Wextra -Werror -g3 $^ -o $@
debug/exercise_05_09.ii: | debug
debug:
	mkdir -p debug

